Gallery Platform API
Reference

List invoice payment links

Lists the hosted checkout links minted for an invoice, newest first.

GET
/gallery/invoices/{id}/payment-sessions

Lists the hosted checkout links minted for an invoice, newest first.

Authorization

bearerAuth payments:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payments:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "invoice_id": "string",      "stripe_session_id": "string",      "stripe_payment_intent_id": "string",      "url": "string",      "status": "open",      "amount_cents": -9007199254740991,      "currency": "string",      "expires_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}